Subject: bug#70007: [PATCH] native JSON encoder

From: Mattias Engdegård <[email-masked]>
Date: Sat, 24 Aug 2024 17:33:33 +0200

(I'm going through some old unfinished work.)

The only major issue remaining here would be whether `json-serialize` should return a multibyte string, as it does now, or a unibyte string. I think we agree that unibyte is the correct choice in general, and since the code is new in Emacs 30 we should make a decision now because changing it in Emacs 31 will be riskier. On the other hand, the old libjansson implementation returned a multibyte string.

I've looked at packages using the API and they appear entirely agnostic -- the result is almost always a string that is fed into `process-send-string`.